var AWG_Qc=0,AWG_JB="AWG_JB",AWG_Mb=true,AWG_Tb=false,AWG_U="undefined",AWG_Oc="object",AWG_CD="string",AWG_Zc="number",AWG_Rc="boolean",AWG_Ma=null,AWG_C$="";var i,AWG_Pb=1,AWG_Tc=[],AWG_Ma=null,AWG_$$=[],gFlashToJS=AWG_Ma,gFlashToJSBinding=AWG_Ma,AWG_UB=0,AWG_Vb=AWG_JB+25,AWG_DB="",AWG_Ib="",AWG_KB="",AWG_CC=AWG_Tb;function LOG_FUNC(AWG_LB,AWG_K$,AWG_H){try{
var AWG_B="";if(AWG_LB!="")AWG_B=AWG_LB+"::";AWG_B+=AWG_K$+"("
for(var i=0;i<AWG_H.length;++i){
if(i>0)AWG_B+=",";AWG_B+="'"+AWG_H[i]+"'("+typeof(AWG_H[i])+")"}
AWG_B+=")";try{if(console&&console.log)console.log(AWG_B)}catch(e){}
}catch(e){AWG_$(AWG_A(e))}}
function TRACE_LINE(AWG_EB){try{
try{if(console&&console.log)console.log(AWG_EB)}catch(e){}
}catch(e){AWG_$(AWG_A(e))}}
function DEBUG_VAR(AWG_O$){try{
return ""+AWG_O$+"("+typeof(AWG_O$)+")"
}catch(e){AWG_$(AWG_A(e))}}
function AWG_$(AWG_EB){try{
if(!AWG_Pb)return;AWG_Pb=confirm(AWG_EB)}catch(e){AWG_$(AWG_A(e))}}
function AWG_A(AWG_Ca,AWG_VC,AWG_AC,AWG_L){try{
var AWG_B="";if(arguments.length>1){
AWG_B+="Unhandled exeption in "+AWG_VC+":"+AWG_AC+" "+AWG_L+"\n"}
if(AWG_Ca.message)AWG_B+=AWG_Ca.message;if(AWG_Ca.description)AWG_B+=AWG_Ca.description;return AWG_B}catch(e){AWG_$(AWG_A(e))}}
function AWG_Kc(AWG_Wa,AWG_Z$){try{
alert(AWG_IC(AWG_Wa,AWG_Z$))}catch(e){AWG_$(AWG_A(e))}}
function AWG_IC(AWG_Wa,AWG_Z$){try{
return AWG_Wa+":"+AWG_Z$.name+": "+AWG_Z$.message+(AWG_Z$.stack?("\n"+AWG_Z$.stack):"")}catch(e){AWG_$(AWG_A(e))}}
function AWG_$c(AWG_VA,AWG_QA,AWG_EC){try{
if(AWG_VA.substr(0,1)=="?")AWG_VA=AWG_VA.substr(1);var i,AWG_TA=AWG_VA.split("&"),nPos,AWG_X$,AWG_Aa;for(i=0;i<AWG_TA.length;++i){
nPos=AWG_TA[i].indexOf("=");if(nPos==-1){
AWG_X$=AWG_TA[i];AWG_Aa=AWG_Mb}else{
AWG_X$=AWG_TA[i].substr(0,nPos);AWG_Aa=AWG_PA(AWG_TA[i].substr(nPos+1))}
AWG_X$=AWG_PA(AWG_X$).toUpperCase();if(AWG_EC){
AWG_QA[AWG_X$]=AWG_Aa}else{
if(typeof(AWG_QA[AWG_X$])==AWG_U){
AWG_QA[AWG_X$]=AWG_Aa}
}
}
}catch(e){AWG_$(AWG_A(e))}}
function AWG_AD(AWG_QA,AWG_JC){try{
return(typeof(AWG_QA[AWG_JC])!=AWG_U)}catch(e){AWG_$(AWG_A(e))}}
function AWG_Dc(AWG_Gc){try{
AWG_$c(AWG_Gc,AWG_$$,AWG_Mb)}catch(e){AWG_$(AWG_A(e))}}
function AWG_Xc(AWG_Ra){return document.getElementById(AWG_Ra)}
function AWG_EA(AWG_N){try{
if(((AWG_N>=65)&&(AWG_N<=90))
||((AWG_N>=97)&&(AWG_N<=122))
||((AWG_N>=48)&&(AWG_N<=57))
||(AWG_N==33)
||(AWG_N==126)
||(AWG_N==39)
||(AWG_N==40)
||(AWG_N==41)
||(AWG_N==42)
||(AWG_N==45)
||(AWG_N==46)
||(AWG_N==95)
)return String.fromCharCode(AWG_N);return((AWG_N<16)?"%0":"%")+AWG_N.toString(16)}catch(e){AWG_$(AWG_A(e))}}
function AWG_R$(AWG_Nb){try{
var i,AWG_E$,nLen=AWG_Nb.length,AWG_E="";for(i=0;i<nLen;++i){
AWG_E$=AWG_Nb.charCodeAt(i);if(AWG_E$<128){
AWG_E+=AWG_EA(AWG_E$)}else if((AWG_E$>127)&&(AWG_E$<2048)){
AWG_E+=AWG_EA((AWG_E$>>6)|192);AWG_E+=AWG_EA((AWG_E$&63)|128)}else{
AWG_E+=AWG_EA((AWG_E$>>12)|224);AWG_E+=AWG_EA(((AWG_E$>>6)&63)|128);AWG_E+=AWG_EA((AWG_E$&63)|128)}
}
return AWG_E}catch(e){AWG_$(AWG_A(e))}}
function AWG_PA(AWG_Ga){try{
var AWG_E=AWG_C$,re=/([^%]*)%(..)(.*)/;while(AWG_Ga!=AWG_C$){
if(AWG_Ga.search(re)==-1){
AWG_E+=AWG_Ga;break}
AWG_E+=RegExp.$1+String.fromCharCode(parseInt(RegExp.$2,16));AWG_Ga=RegExp.$3}
return AWG_HC(AWG_E)}catch(e){AWG_$(AWG_A(e))}}
function AWG_HC(AWG_OA){try{
var AWG_E=AWG_C$,nLen=AWG_OA.length,i=0,c=0,c1=0,c2=0;while(i<nLen)
{
c=AWG_OA.charCodeAt(i);if(c<128){
AWG_E+=String.fromCharCode(c);i++}
else if((c>191)&&(c<224)){
c2=AWG_OA.charCodeAt(i+1);AWG_E+=String.fromCharCode(((c&31)<<6)|(c2&63));i+=2}
else{
c2=AWG_OA.charCodeAt(i+1);c3=AWG_OA.charCodeAt(i+2);AWG_E+=String.fromCharCode(((c&15)<<12)|((c2&63)<<6)|(c3&63));i+=3}
}
return AWG_E}catch(e){AWG_$(AWG_A(e))}}
function AWG_Nc(AWG_V$,AWG_T$,AWG_MB){try{
var i,nLen,AWG_MB;var AWG_E=AWG_V$,AWG_$b=new RegExp();nLen=AWG_T$.length;for(i=0;i<nLen.length;++i){
AWG_$b.compile(AWG_T$[i][0],AWG_MB);AWG_E=AWG_E.replace(AWG_$b,AWG_T$[i][1])}
return AWG_E}catch(e){AWG_$(AWG_A(e))}}
function AWG_Lb(AWG_PC){try{
try{
return AWG_PC.length}catch(e){
return 0}
}catch(e){AWG_$(AWG_A(e))}}
function AWG_Pc(AWG_V$,AWG_LC){try{
return(""+AWG_V$).indexOf(AWG_LC)}catch(e){AWG_$(AWG_A(e))}}
function AWG_Lc(AWG_V$,AWG_Sa){try{
return(""+AWG_V$).substr(AWG_Sa)}catch(e){AWG_$(AWG_A(e))}}
function AWG_Mc(AWG_V$,AWG_Sa,AWG_DC){try{
return(""+AWG_V$).substr(AWG_Sa,AWG_DC)}catch(e){AWG_$(AWG_A(e))}}
function AWG_Wc(AWG_Hc,AWG_KC){try{
return setTimeout(AWG_Hc,AWG_KC)
}catch(e){AWG_$(AWG_A(e))}}
function AWG_Uc(AWG_T$,AWG_Rb){try{
var AWG_Za=[],i,j=0;for(i=0;i<AWG_Rb;++i)
AWG_Za[j++]=AWG_T$[i];for(i=AWG_Rb+1;i<AWG_Lb(AWG_T$);++i)
AWG_Za[j++]=AWG_T$[i];return AWG_Za}catch(e){AWG_$(AWG_A(e))}}
function AWG_Yc(AWG_Ra){try{
return document.getElementById(AWG_Ra)}catch(e){AWG_$(AWG_A(e))}}
function ParamString(AWG_WC){try{
var i,AWG_Cb,AWG_E=AWG_WC,argv=arguments,argc=AWG_Lb(argv);for(i=argc-1;i>=1;--i){
AWG_Cb=eval("/%"+i+"/g");AWG_E=AWG_E.replace(AWG_Cb,argv[i])}
return AWG_E}catch(e){AWG_$(AWG_A(e))}}
String.prototype.Trim=function(){
var AWG_G$,AWG_D$=this.valueOf();for(;AWG_D$.length>0;){
AWG_G$=AWG_D$.substr(0,1);if((AWG_G$==" ")||(AWG_G$=="\r")||(AWG_G$=="\t")||(AWG_G$=="\n")){
AWG_D$=AWG_D$.substr(1)}else{
break}
}
for(;AWG_D$.length>0;){
AWG_G$=AWG_D$.substr(AWG_D$.length-1,1);if((AWG_G$==" ")||(AWG_G$=="\r")||(AWG_G$=="\t")||(AWG_G$=="\n")){
AWG_D$=AWG_D$.substr(0,AWG_D$.length-1)}else{
break}
}
return AWG_D$};function CMIUnescape(AWG_W$){try{
return AWG_PA(AWG_W$)}catch(e){AWG_$(AWG_A(e))}}
function CMIEscape(AWG_W$){try{
return AWG_R$(AWG_W$)}catch(e){AWG_$(AWG_A(e))}}
function JSFuncCall(AWG_SC,AWG_R){try{
var AWG_B=AWG_SC;AWG_B+="(";for(var i=0;i<AWG_R.length;++i){
if(i!=0)AWG_B+=",";AWG_B+="unescape('"+escape(AWG_R[i])+"')"
}
AWG_B+=")";return AWG_B}catch(e){AWG_$(AWG_A(e))}}
function EncodePacketPart(AWG_Da){try{
AWG_Da=""+AWG_Da;return AWG_Da.length.toString(16)+":"+AWG_Da}catch(e){AWG_$(AWG_A(e))}}
function EncodePacketParts(){try{
var AWG_B=[];for(var i=0;i<arguments.length;++i){
AWG_B.push(EncodePacketPart(arguments[i]))}
return AWG_B.join("")}catch(e){AWG_$(AWG_A(e))}}
function DecodePacketPart(AWG_Q$){try{
var AWG_V=AWG_Q$.indexOf(":");var AWG_Hb=parseInt(AWG_Q$,16);return{
AWG_BC: AWG_Q$.substr(AWG_V+1,AWG_Hb),AWG_Fc: AWG_Q$.substr(AWG_V+1+AWG_Hb)
}
}catch(e){AWG_$(AWG_A(e))}}
function DecodePacketParts(AWG_Q$){try{
var AWG_B=[];var i=0;while(AWG_Q$ !=""){
var tTmp=DecodePacketPart(AWG_Q$);AWG_Q$=tTmp.AWG_Fc;AWG_B.push(tTmp.AWG_BC)}
return AWG_B}catch(e){AWG_$(AWG_A(e))}}
function Decode(AWG_L$){try{
var AWG_B=[];var AWG_B$=AWG_L$.split("&")
for(var i=0;i<AWG_B$.length;++i){
var AWG_TB=AWG_B$[i].split("=",2);var AWG_GB=decodeURIComponent(AWG_TB[0]);var AWG_FA=decodeURIComponent(AWG_TB[1])
if(!isNaN(parseFloat(AWG_FA))){
AWG_FA=parseFloat(AWG_FA)}else if(!isNaN(parseInt(AWG_GB,10))){
AWG_FA=parseInt(AWG_GB)};AWG_B[AWG_GB.toUpperCase()]=AWG_FA}
return AWG_B}catch(e){AWG_$(AWG_A(e))}}
function Encode(AWG_L$){try{
var AWG_B="";if(typeof(AWG_L$.length)!=AWG_U){
for(var i=0;i<AWG_L$.length;i+=2)
{
if(AWG_L$[i]=="")continue;if(AWG_B!="")AWG_B+="&";AWG_B+=AWG_R$(AWG_L$[i])+"="+AWG_R$(AWG_L$[i+1])}
}else{
for(var AWG_G in AWG_L$)
{
if(AWG_B!="")AWG_B+="&";AWG_B+=AWG_R$(AWG_G)+"="+AWG_R$(AWG_L$[AWG_G])}
}
return AWG_B}catch(e){AWG_$(AWG_A(e))}}
function MakeCallable(AWG_C,AWG_W,AWG_LA){try{
if(typeof(AWG_LA)=="undefined")AWG_LA="";window.HOSTING_OBJECT.RegisterObject(AWG_C,new CCallableObject(AWG_W,AWG_LA))}catch(e){AWG_$(AWG_A(e))}}
function CCallableObject(AWG_Ic,AWG_LA){try{
this.AWG_XA=AWG_Ic;var AWG_Ob=AWG_LA.split(",");this.AWG_Bb={};for(var i=0;i<AWG_Ob.length;++i){
this.AWG_Bb[AWG_Ob[i]]=1}
}catch(e){AWG_$(AWG_A(e))}}
CCallableObject.prototype.Call=function(AWG_L,AWG_H,AWG_P,AWG_T){try{
var AWG_O=this.AWG_XA[AWG_L],AWG_IA=(typeof(this.AWG_Bb[AWG_L])!="undefined"),AWG_NA=(AWG_P!=""),AWG_P$=null
if(AWG_IA && AWG_NA){
AWG_P$=new Function("result","result['responsenumber']=unescape('"+escape(AWG_T)+"');window.HOSTING_OBJECT.Call(unescape('"+escape(AWG_P)+"'),'RESULT',Encode(result),'','');")}
try{
var AWG_B=AWG_O.call(this.AWG_XA,Decode(AWG_H),AWG_P$)}catch(e){
AWG_B={
error: "Excpetion!"+e.message,value: ''
}
}
if(!AWG_IA && AWG_NA){
switch(typeof(AWG_B)){
case "string":
case "number":
AWG_B={value:AWG_B};break;case "undefined":
AWG_B={};break}
AWG_B["responsenumber"]=AWG_T;window.HOSTING_OBJECT.Call(AWG_P,"RESULT",Encode(AWG_B),'','')}
}catch(e){AWG_$(AWG_A(e))}}
function CCallbackProxy(AWG_M$){try{
this.AWG_Na=[];this.AWG_TC=AWG_M$.RegisterObject("callbacks",this)}catch(e){AWG_$(AWG_A(e))}}
CCallbackProxy.prototype.Call=function(AWG_L,AWG_H,AWG_P,AWG_T){try{
var AWG_O=(this.AWG_Na[parseInt(AWG_L.substr(2),10)]),AWG_IA=AWG_O.AWG_Ec,AWG_NA=(AWG_P!=""),AWG_P$=null
if(AWG_IA && AWG_NA){
AWG_P$=new Function("result","result['responsenumber']=unescape('"+escape(AWG_T)+"');window.HOSTING_OBJECT.Call(unescape('"+escape(AWG_P)+"'),'RESULT',Encode(result),'','');")}
try{
var AWG_F=Decode(AWG_H);AWG_F["CLOSURE"]=AWG_O.AWG_$C;var AWG_B=AWG_O.AWG_FC.call(AWG_O.AWG_XA,AWG_F,AWG_P$)}catch(e){
AWG_B={
error: "Excpetion!"+e.message,value: ''
}
}
if(!AWG_IA && AWG_NA){
switch(typeof(AWG_B)){
case "string":
case "number":
AWG_B={value:AWG_B};break;case "undefined":
AWG_B={};break}
AWG_B["responsenumber"]=AWG_T;window.HOSTING_OBJECT.Call(AWG_P,"RESULT",Encode(AWG_B),'','')}
}catch(e){AWG_$(AWG_A(e))}}
CCallbackProxy.prototype.Register=function(AWG_W,AWG_K$,AWG_Qa,AWG_WA){try{
this.AWG_Na.push({
AWG_XA : AWG_W,AWG_FC : AWG_K$,AWG_$C : AWG_Qa,AWG_Ec : false 
});AWG_WA["CALLBACK_OBJECT"]=this.AWG_TC;AWG_WA["CALLBACK_METHOD"]="CB"+(this.AWG_Na.length-1)}catch(e){AWG_$(AWG_A(e))}}
function CHostingObject(AWG_M$){try{
this.AWG_S=""
this.AWG_Y=[];this.AWG_BA=[];this.AWG_$B=[];this.AWG_GA=0;this.AWG_Ta=[];this.AWG_CB=[];this.AWG_JA=[];this.AWG_Oa=null;if(typeof(AWG_M$)=="undefined")AWG_M$=null;this.AWG_J=AWG_M$;this.FindParent()}catch(e){AWG_$(AWG_A(e))}}
CHostingObject.prototype.RegisterCallback=function(AWG_W,AWG_K$,AWG_Qa,AWG_WA){try{
if(this.AWG_Oa==null)this.AWG_Oa=new CCallbackProxy(this);return this.AWG_Oa.Register(AWG_W,AWG_K$,AWG_Qa,AWG_WA)}catch(e){AWG_$(AWG_A(e))}}
CHostingObject.prototype.FindParentWnd=function(AWG_$A){try{
try{
if(AWG_$A.HOSTING_OBJECT)return AWG_$A.HOSTING_OBJECT;if((AWG_$A.parent==AWG_$A)||(AWG_$A.parent==null))return null;return this.FindParentWnd(AWG_$A.parent)}catch(e){
return null}
}catch(e){AWG_$(AWG_A(e))}}
CHostingObject.prototype.FindParent=function(){try{
if((this.AWG_J==null)&&(window.parent!=window)&&(window.parent!=null)){
this.AWG_J=this.FindParentWnd(window.parent)}
if((this.AWG_J==null)&&(window.opener!=null)){
this.AWG_J=this.FindParentWnd(window.opener)}
if(this.AWG_J){
this.AWG_J.RegisterHostingObject(this,"js")}else{
this.AWG_S="HCROOT"
}
}catch(e){AWG_$(AWG_A(e))}}
CHostingObject.prototype.InvokeMethod=function(AWG_C,AWG_L,AWG_H,AWG_Zb,AWG_QB){try{
var AWG_Ha=AWG_C$,AWG_$a="",AWG_V=-1;if(typeof(AWG_QB)=="function"){
AWG_Ha=this.AWG_S;AWG_$a=this.AWG_$B.length;this.AWG_$B[AWG_$a]={
object : AWG_Zb,func : AWG_QB,timeout :-1
}
}
AWG_V=AWG_C.indexOf("//");if(AWG_V !=-1){
this.Call(AWG_C.substr(0,AWG_V),"CALL",Encode([
"OBJECT",AWG_C.substr(AWG_V+2),"METHOD",AWG_L,"ARGUMENTS",Encode(AWG_H)
]),AWG_Ha,AWG_$a
)}else{
this.Call(AWG_C,AWG_L,Encode(AWG_H),AWG_Ha,AWG_$a)
}
}catch(e){AWG_$(AWG_A(e))}}
CHostingObject.prototype.HandleResult=function(AWG_H){try{
var AWG_MC=parseInt(AWG_H["RESPONSENUMBER"],10),AWG_O=this.AWG_$B[AWG_MC];if(typeof(AWG_O)=="undefined"){alert("invalid response number!")}
AWG_O.func.call(AWG_O,AWG_H)}catch(e){AWG_$(AWG_A(e))}}
CHostingObject.prototype.UnregisterRoute=function(AWG_Eb){try{
for(var AWG_G in this.AWG_Y){
if(this.AWG_Y[AWG_G]==AWG_Eb){
delete this.AWG_Y[AWG_G]}
}
delete this.AWG_BA[AWG_Eb]}catch(e){AWG_$(AWG_A(e))}}
CHostingObject.prototype.Call=function(AWG_C,AWG_L,AWG_H,AWG_P,AWG_T,AWG_Cc,AWG_Wb){try{
if(AWG_C==this.AWG_S){
var AWG_F=Decode(AWG_H);if(AWG_L=="RESULT"){
this.HandleResult(AWG_F)}else if(AWG_L=="CALL"){
this.Call(AWG_F["OBJECT"],AWG_F["METHOD"],AWG_F["ARGUMENTS"],AWG_P,AWG_T,false,true)}
return}
if(typeof(this.AWG_Ta[AWG_C])!=AWG_U){
this.AWG_Ta[AWG_C].Call(AWG_L,AWG_H,AWG_P,AWG_T);return}
if(typeof(this.AWG_CB[AWG_C])!=AWG_U){
this.Call(this.AWG_CB[AWG_C],AWG_L,AWG_H,AWG_P,AWG_T);return}
if(typeof(this.AWG_Y[AWG_C])!=AWG_U){
var tHost=this.AWG_BA[this.AWG_Y[AWG_C]];try{
tHost.object.Call(AWG_C,AWG_L,AWG_H,AWG_P,AWG_T)}catch(e){
this.UnregisterRoute(this.AWG_Y[AWG_C])}
return}
if((this.AWG_J)&&(!AWG_Wb)){
this.AWG_J.Call(AWG_C,AWG_L,AWG_H,AWG_P,AWG_T)}else{
if(AWG_Cc){
AWG_$("CFlashToJS: Object "+AWG_C+" not found!")}else{
if(typeof(this.AWG_JA[AWG_C])==AWG_U){
this.AWG_JA[AWG_C]=[]}
this.AWG_JA[AWG_C].push([AWG_C,AWG_L,AWG_H,AWG_P,AWG_T,true])}
}
}catch(e){AWG_$(AWG_A(e))}}
CHostingObject.prototype.AWG_OB=function(AWG_C){try{
var i,AWG_HB=this.AWG_JA[AWG_C];if(typeof(AWG_HB)!=AWG_U){
delete this.AWG_JA[AWG_C];for(i=0;i<AWG_HB.length;++i){
this.Call.apply(this,AWG_HB[i])}
}
}catch(e){AWG_$(AWG_A(e))}}
CHostingObject.prototype.RegisterRoute=function(AWG_UA,AWG_C){try{
this.AWG_Y[AWG_C]=AWG_UA;if(this.AWG_J!=null){
this.AWG_J.RegisterRoute(this.AWG_S,AWG_C)}
this.AWG_OB(AWG_C);return 1}catch(e){AWG_$(AWG_A(e))}}
CHostingObject.prototype.SetName=function(AWG_F$){try{
this.AWG_S=AWG_F$}catch(e){AWG_$(AWG_A(e))}}
CHostingObject.prototype.RegisterHostingObject=function(AWG_W,AWG_O$){try{
this.AWG_GA++;var AWG_Q=this.AWG_S+"/HC"+this.AWG_GA;AWG_W.SetName(AWG_Q)
this.RegisterRoute(AWG_Q,AWG_Q);this.AWG_BA[AWG_Q]={type:AWG_O$,object:AWG_W}
}catch(e){AWG_$(AWG_A(e))}}
CHostingObject.prototype.RegisterAlias=function(AWG_C,AWG_Ia){try{
this.AWG_CB[AWG_Ia]=AWG_C;if(this.AWG_J !=null){
this.AWG_J.RegisterRoute(this.AWG_S,AWG_Ia)}
this.AWG_OB(AWG_Ia)}catch(e){AWG_$(AWG_A(e))}}
CHostingObject.prototype.RegisterObject=function(AWG_C,AWG_W){try{
this.AWG_Ta[AWG_C]=AWG_W;if(this.AWG_J!=null){
this.AWG_J.RegisterRoute(this.AWG_S,AWG_C)}
var AWG_NB=this.AWG_S+"|"+AWG_C;this.RegisterAlias(AWG_C,AWG_NB);return AWG_NB}catch(e){AWG_$(AWG_A(e))}}
function CSequential(){try{
this.AWG_Ya=0;this.AWG_Ka=[];this.THIS_STR="CSequential"+".prototype.AWG_U$["+CSequential.prototype.AWG_U$.length+"]";CSequential.prototype.AWG_U$.push(this)}catch(e){AWG_$(AWG_A(e))}}
CSequential.prototype.AWG_U$=[];CSequential.prototype.AddEntry=function(AWG_J$){try{
this.AWG_Ka.push(AWG_J$);this.AWG_YB()}catch(e){AWG_$(AWG_A(e))}}
CSequential.prototype.AWG_YB=function(){try{
if(this.AWG_Ya !=0)return;this.AWG_Ya=setTimeout(this.THIS_STR+".AWG_ZC()",10)}catch(e){AWG_$(AWG_A(e))}}
CSequential.prototype.OnEntry=function(){try{
return 0}catch(e){AWG_$(AWG_A(e))}}
CSequential.prototype.AWG_ZC=function(){try{
var AWG_I=this.AWG_Ka.shift();this.OnEntry(AWG_I);this.AWG_Ya=0;if(this.AWG_Ka.length !=0){
this.AWG_YB()}
}catch(e){AWG_$(AWG_A(e))}}
function CJSFlashBinding(AWG_M$){try{
this.THIS_STR="CJSFlashBinding"+".prototype.AWG_U$["+CJSFlashBinding.prototype.AWG_U$.length+"]";CJSFlashBinding.prototype.AWG_U$.push(this);this.AWG_DD=[];this.AWG_Sb=[];this.AWG_S="";if(AWG_M$==null)AWG_M$=window.HOSTING_OBJECT;this.AWG_Ba=[];this.AWG_Ba['flashtojs']=this.AWG_QC;this.AWG_Ba['javascript']=this.AWG_Yb;this.AWG_BA=[];this.AWG_GA=0;this.AWG_Y=[];this.AWG_J=AWG_M$;this.AWG_J.RegisterHostingObject(this,"js")}catch(e){AWG_$(AWG_A(e))}}
CJSFlashBinding.prototype.AWG_U$=[];CJSFlashBinding.prototype.AWG_Ac=function(AWG_AA,AWG_R){try{
try{
var AWG_OC=CMIUnescape(AWG_AA),AWG_F=AWG_R;if(AWG_F.substr(0,1)!="["){
AWG_F=CMIUnescape(AWG_F)}else{
AWG_F=eval(AWG_F);var tCall=CMIUnescape(AWG_F[0])+"(";for(var j=1;j<AWG_F.length;++j){
if(j!=1)tCall+=",";tCall+="CMIUnescape('"+AWG_F[j]+"')"}
tCall+=")";AWG_F=tCall}
return this.AWG_Fb(AWG_OC,AWG_F)}catch(e){
return{
AWG_HA :"",AWG_Y$ :AWG_A(e)
}}
}catch(e){AWG_$(AWG_A(e))}}
CJSFlashBinding.prototype.LifeSign=function(AWG_F$){try{
this.AWG_RA(AWG_F$,AWG_F$,true)}catch(e){AWG_$(AWG_A(e))}}
CJSFlashBinding.prototype.SetName=function(AWG_F$){try{
this.AWG_S=AWG_F$}catch(e){AWG_$(AWG_A(e))}}
CJSFlashBinding.prototype.AWG_QC=function(AWG_R,AWG_BB){try{
var binding=this;;var AWG_B=eval(AWG_R);AWG_BB.SetResult(AWG_B)}catch(e){AWG_$(AWG_A(e))}}
CJSFlashBinding.prototype.AWG_Yb=function(AWG_R,AWG_BB){try{
var AWG_B=eval(AWG_R);AWG_BB.SetResult(AWG_B)}catch(e){AWG_$(AWG_A(e))}}
CJSFlashBinding.prototype.RegisterCommand=function(AWG_O$,AWG_K$){try{
this.AWG_Ba[AWG_O$]=AWG_K$}catch(e){AWG_$(AWG_A(e))}}
CJSFlashBinding.prototype.AWG_Fb=function(AWG_AA,AWG_R){try{
var AWG_B={
AWG_Y$ :"",AWG_HA :"",SetResult : function(AWG_H$){if(typeof(AWG_H$)==AWG_U)AWG_H$="";this.AWG_HA=AWG_H$},SetError : function(AWG_PB){this.AWG_Y$=AWG_PB;AWG_$("ERROR:"+AWG_PB)}
};try{
var AWG_P$=this.AWG_Ba[AWG_AA.toLowerCase()];if(typeof(AWG_P$)==AWG_U){
AWG_B.SetError("Commandtype '"+AWG_AA+"' is not defined! Args="+AWG_R)}else{
AWG_P$.call(this,AWG_R,AWG_B)}
}catch(e){
AWG_B.SetError("Exception:"+AWG_A(e))}
return AWG_B}catch(e){AWG_$(AWG_A(e))}}
function getFlashMovieObject(AWG_MA){try{
if(window.document[AWG_MA])
{
return window.document[AWG_MA]}
if(navigator.appName.indexOf("Microsoft Internet")==-1)
{
if(document.embeds && document.embeds[AWG_MA])
return document.embeds[AWG_MA]}
else
{
return document.getElementById(AWG_MA)}
}catch(e){AWG_$(AWG_A(e))}}
CJSFlashBinding.prototype.FlashObjectHTML=function(AWG_M,AWG_N$,AWG_Ea,AWG_YA,AWG_Z,AWG_I$,AWG_ZB,AWG_FB){try{
var AWG_E,AWG_Db=AWG_C$,AWG_Gb=AWG_C$;if("|_blank|window|opaque|transparent|".indexOf("|"+AWG_I$+"|")==-1){
AWG_I$="window"}
this.AWG_GA++;AWG_UB++;var AWG_Q=this.AWG_S+"/FC"+this.AWG_GA;if(typeof(AWG_M)==AWG_U)AWG_M=AWG_C$;var AWG_CA=(AWG_M!=AWG_C$)?AWG_M:(AWG_Vb+AWG_UB);var tFlashObject={
AWG_WB : AWG_CA,AWG_ZA : 0,AWG_Sc : AWG_Q,AWG_GC : this,AWG_NC : 0,AWG_Kb :-1,AWG_YC : 0,AWG_Fa : 0,AWG_DA :[]
};gFlashToJS.Register(tFlashObject);this.AWG_RA(AWG_Q,AWG_Q,false);this.AWG_J.RegisterAlias(AWG_Q,AWG_CA);if(typeof(AWG_FB)==AWG_U)AWG_FB=AWG_C$;var AWG_X=AWG_FB.split(",");for(var i=0;i<AWG_X.length;++i){
this.AWG_RA(AWG_Q,AWG_X[i],false);this.AWG_RA(AWG_Q,AWG_Q+"|"+AWG_X[i],false);this.AWG_J.RegisterAlias(AWG_Q+"|"+AWG_X[i],AWG_CA+"."+AWG_X[i])}
this.AWG_BA[AWG_Q]=tFlashObject;this.AWG_Sb[AWG_CA]=AWG_Q;while(AWG_Z.substr(0,1)=="?")AWG_Z=AWG_Z.substr(1);while(AWG_Z.substr(0,1)=="&")AWG_Z=AWG_Z.substr(1);var AWG_V=AWG_N$.indexOf("?");if(AWG_V!=-1){
AWG_Z=AWG_N$.substr(AWG_V+1)+"&"+AWG_Z;AWG_N$=AWG_N$.substr(0,AWG_V)}
if(AWG_Z !="")AWG_Z="&"+AWG_Z;tURI=AWG_N$+"?FLASHTOJS_PARENT="+AWG_R$(AWG_Q)+AWG_Z.replace(new RegExp("&","g"),"&amp;");var tWH="";if(AWG_Ea !="")tWH+=" width="+AWG_Ea;if(AWG_YA !="")tWH+=" height="+AWG_YA;tWH+=" id="+AWG_CA;try{
AWG_Db='<object '+' classid="clsid:D27CDB6E-AE6D-11cf-96B8-444553540000"'+tWH+'>'+'<param name="wmode" value="'+AWG_I$+'">'+'<param name="movie" value="'+tURI+'">'+'<param name="quality" value="high">'+'<param name="base" value="'+AWG_ZB+'">'+'<param name="allowScriptAccess" value="always">'+'<PARAM NAME=loop VALUE=false>'+'<PARAM NAME=menu VALUE=false>'+'</object>';AWG_Gb='<embed '+' src="'+tURI+'"'+tWH+' name="'+AWG_CA+'"'+' type="application/x-shockwave-flash"'+' base="'+AWG_ZB+'"'+' wmode="'+AWG_I$+'"'+' allowScriptAccess="always"'+' loop=false menu=false'+' swliveconnect="true"'+'></embed>';AWG_E=document.all?AWG_Db:AWG_Gb}catch(e){
AWG_$(AWG_A(e))}
return AWG_E}catch(e){AWG_$(AWG_A(e))}}
CJSFlashBinding.prototype.Call=function(AWG_C,AWG_L,AWG_H,AWG_P,AWG_T){try{
if(AWG_C==this.AWG_S){
return}
if(typeof(this.AWG_Y[AWG_C])!=AWG_U){
var AWG_La=this.AWG_Y[AWG_C]
if(!AWG_La.AWG_Ab){
var AWG_F=[];for(var i=0;i<arguments.length;++i)AWG_F[i]=arguments[i];AWG_La.AWG_AB.push(AWG_F)}else{
var tHost=this.AWG_BA[AWG_La.AWG_S];tHost.AWG_DA.push(EncodePacketPart(EncodePacketParts("C",Encode(
["objectid",AWG_C,"method",AWG_L,"arguments",AWG_H,"responsetarget",AWG_P,"responsenumber",AWG_T
]))))}
return}
if(this.AWG_J){
this.AWG_J.Call(AWG_C,AWG_L,AWG_H,AWG_P,AWG_T)}else{
AWG_$("CFlashToJS: Object "+AWG_C+" not found!")}
}catch(e){AWG_$(AWG_A(e))}}
CJSFlashBinding.prototype.AWG_RA=function(AWG_UA,AWG_C,AWG_Xb){try{
var AWG_O=this.AWG_Y[AWG_C];var AWG_Jb=false;if(typeof(AWG_O)==AWG_U){
AWG_O=this.AWG_Y[AWG_C]={AWG_AB:[]};AWG_Jb=true}
AWG_O.AWG_S=AWG_UA,AWG_O.AWG_Ab=AWG_Xb;if(AWG_O.AWG_Ab){
var AWG_SB=AWG_O.AWG_AB;AWG_O.AWG_AB=[];for(var i=0;i<AWG_SB.length;++i){
this.Call.apply(this,AWG_SB[i])}
}
if((this.AWG_J!=null)&&AWG_Jb){
this.AWG_J.RegisterRoute(this.AWG_S,AWG_C)}
return 1}catch(e){AWG_$(AWG_A(e))}}
CJSFlashBinding.prototype.RegisterRoute=function(AWG_UA,AWG_C){try{
return this.AWG_RA(AWG_UA,AWG_C,true)}catch(e){AWG_$(AWG_A(e))}}
function CFlashToJS(){try{
this.AWG_KA=0;this.AWG_Ua=[]}catch(e){AWG_$(AWG_A(e))}}
CFlashToJS.prototype.Register=function(AWG_J$){try{
this.AWG_Ua.push(AWG_J$);this.Start()}catch(e){AWG_$(AWG_A(e))}}
CFlashToJS.prototype.ProcessCommand=function(AWG_AA,AWG_J$){try{
var AWG_B$=DecodePacketParts(AWG_AA);switch(AWG_B$[0]){
case "C":
var AWG_B=AWG_J$.AWG_GC.AWG_Ac(AWG_B$[2],AWG_B$[3]);if(AWG_B.AWG_Y$ !=""){
AWG_J$.AWG_DA.push(EncodePacketPart(EncodePacketParts("E",AWG_B$[1],AWG_B.AWG_Y$)))}else{
AWG_J$.AWG_DA.push(EncodePacketPart(EncodePacketParts("R",AWG_B$[1],AWG_B.AWG_HA)))}
break;default:
AWG_$("??")}
}catch(e){AWG_$(AWG_A(e))}}
CFlashToJS.prototype.ProcessPacket=function(AWG_Jc,AWG_J$){try{
var AWG_B$=DecodePacketParts(AWG_Jc);for(var i=0;i<AWG_B$.length;++i){
this.ProcessCommand(AWG_B$[i],AWG_J$)}
}catch(e){AWG_$(AWG_A(e))}}
CFlashToJS.prototype.Debug_DataTransfer=function(){try{
this.AWG_XB()}catch(e){AWG_$(AWG_A(e))}}
CFlashToJS.prototype.AWG_XB=function(){try{
var i,AWG_Xa=new Date().getTime(),AWG_X=[];for(var i=0;i<this.AWG_Ua.length;++i){
var AWG_I=this.AWG_Ua[i],AWG_K=null;AWG_K=getFlashMovieObject(AWG_I.AWG_WB);if(!AWG_K)continue;if(AWG_I.AWG_ZA==0){
AWG_I.AWG_ZA=AWG_Xa+1000;continue}
var AWG_Ja=0;try{
AWG_Ja=AWG_K.PercentLoaded()}catch(e){
AWG_Ja=0}
if(AWG_Ja<100){
continue}else{
AWG_I.AWG_ZA=AWG_Xa}
if(AWG_I.AWG_ZA>AWG_Xa)
continue;AWG_X.push([AWG_K,AWG_I])}
for(var i=0;i<AWG_X.length;++i){
var AWG_K=AWG_X[i][0],AWG_I=AWG_X[i][1],AWG_S$="",AWG_Qb="_root.J2F_OutputVar"+AWG_I.AWG_Fa;AWG_I.AWG_Fa++;AWG_I.AWG_Fa%=2;try{
AWG_K.SetVariable("_root.J2F_OutputTarget",AWG_I.AWG_Fa);AWG_S$=AWG_K.GetVariable(AWG_Qb);if(AWG_S$==null)AWG_S$="";AWG_K.SetVariable(AWG_Qb,"")}catch(e){
AWG_$("Error while SetVariable:"+AWG_I.AWG_WB+"\n"+AWG_A(e))
}
if(AWG_S$.length>0){
if(AWG_S$.length>AWG_I.AWG_Kb)AWG_I.AWG_Kb=AWG_S$.length;AWG_I.AWG_YC+=AWG_S$.length;AWG_I.AWG_NC++;this.ProcessPacket(AWG_S$,AWG_I)}
}
for(var i=0;i<AWG_X.length;++i){
var AWG_K=AWG_X[i][0],AWG_I=AWG_X[i][1];try{
if(AWG_I.AWG_DA.length>0){
AWG_K.SetVariable("_root.J2F_Input",AWG_I.AWG_DA.join(""));AWG_I.AWG_DA=[]}
}catch(e){
AWG_$("Error while GetVariable:"+AWG_A(e))
}
}
}catch(e){AWG_$(AWG_A(e))}}
CFlashToJS.prototype.Start=function(){try{
if(this.AWG_KA!=0)return;this.AWG_KA=setInterval("gFlashToJS.AWG_XB()",100)}catch(e){AWG_$(AWG_A(e))}}
CFlashToJS.prototype.Stop=function(){try{
if(this.AWG_KA==0)return;clearInterval(this.AWG_KA);this.AWG_KA=0}catch(e){AWG_$(AWG_A(e))}}
function MakeSearchString(AWG_W)
{
var AWG_B="";for(var AWG_G in AWG_W){
AWG_B+="&"+encodeURIComponent(AWG_G)+"="+encodeURIComponent(AWG_W[AWG_G])}
return AWG_B}
function CreateFlashObject(AWG_M,AWG_N$,AWG_I$,AWG_A$,AWG_IB,AWG_RB){try{
var AWG_Va=(AWG_I$=="_blank"),AWG_Bc=!document.all &&(AWG_I$ !="window")
AWG_K=null,AWG_Pa=AWG_C$,AWG_D=[];AWG_D["NAME"]=[];AWG_D["STYLE"]=[];AWG_D["HTML"]=AWG_C$;if(AWG_Va||AWG_Bc){
AWG_Pa=MakeSearchString(
{
objects :AWG_RB,swf :AWG_N$,width :AWG_A$.width,height :AWG_A$.height,id :AWG_M,wmode :AWG_Va?"window":AWG_I$
});if(AWG_Va){
window.open("CFlashToJS.html?"+AWG_Pa,AWG_M,"width="+AWG_A$.width+",height="+AWG_A$.height);return ""}
AWG_D["NAME"]="IFRAME";AWG_D["src"]="CFlashToJS.html?"+AWG_Pa;AWG_D["STYLE"]["overflow"]="hidden";AWG_D["STYLE"]["border"]="0px solid #000"}else{
var AWG_SA=gFlashToJSBinding.FlashObjectHTML(AWG_M,AWG_N$,AWG_A$.width,AWG_A$.height,"",AWG_I$,".",AWG_RB);AWG_D["NAME"]="span";AWG_D["HTML"]=AWG_SA}
AWG_D["id"]=AWG_M+"_container";AWG_D["STYLE"]["width"]=AWG_A$.width+"px";AWG_D["STYLE"]["height"]=AWG_A$.height+"px";if((AWG_A$.left !=null)&&(AWG_A$.top!=null)){
AWG_D["STYLE"]["left"]=AWG_A$.left+"px";AWG_D["STYLE"]["top"]=AWG_A$.top+"px";AWG_D["STYLE"]["position"]="absolute"}
if(AWG_IB){
AWG_K=document.createElement(AWG_D["NAME"]);for(var AWG_G in AWG_D){
if(AWG_G=="STYLE"){
for(var tStyle in AWG_D[AWG_G]){
AWG_K.style[tStyle]=AWG_D[AWG_G][tStyle]}
}else if(AWG_G=="HTML"){
AWG_K.innerHTML=AWG_D[AWG_G]}else if(AWG_G !="NAME"){
AWG_K[AWG_G]=AWG_D[AWG_G]}
}
AWG_IB.appendChild(AWG_K);return ""}else{
var AWG_B="<"+AWG_D["NAME"];for(var AWG_G in AWG_D){
if(AWG_G=="STYLE"){
AWG_B+=" style=\"";for(var tStyle in AWG_D[AWG_G]){
AWG_B+=tStyle+":"+AWG_D[AWG_G][tStyle]+";"
}
AWG_B+="\""}else if(AWG_G=="HTML"){
}else if(AWG_G !="NAME"){
AWG_B+=" "+AWG_G+"=\""+AWG_D[AWG_G].replace(/&/g,"&amp;")+"\""}
}
AWG_B+=">"+AWG_D["HTML"]+"</"+AWG_D["NAME"]+">";return AWG_B}
}catch(e){AWG_$(AWG_A(e))}}
function AWG_$D(AWG_F$,aValue)
{
gFlashToJSBinding.SetVariable('awclient_flash',AWG_F$,aValue)}
function AWG_BD(AWG_F$)
{
return gFlashToJSBinding.GetVariable('awclient_flash',AWG_F$)}
function AWG_Ub(AWG_R,AWG_H$)
{
var AWG_B=gFlashToJSBinding.AWG_Fb(AWG_CC?"javascript":"javascript_opener",AWG_R);AWG_H$.AWG_HA=AWG_B.AWG_HA;AWG_H$.AWG_Y$=AWG_B.AWG_Y$}
function AWG_RC(AWG_R,AWG_H$)
{
if(window.opener){
AWG_H$.SetResult(window.opener.eval(AWG_R))}else{
AWG_H$.SetResult(window.parent.eval(AWG_R))}
}
function AWG_VB(AWG_O$,AWG_K$)
{
gFlashToJSBinding.RegisterCommand(AWG_O$,AWG_K$)}
function AWG_XC()
{
AWG_VB("cmi",AWG_Ub);AWG_VB("javascript_opener",AWG_RC)}
function AWG_Vc(aDIV){AWG_UC(aDIV)}
function AWG_UC(aDIV,aOpaque){
var tWindowMode=aOpaque?"window":"transparent";var AWG_SA=gFlashToJSBinding.FlashObjectHTML('awclient_flash',AWG_DB,AWG_Ib,AWG_KB,'',tWindowMode,'.','');var AWG_K=document.getElementById(aDIV);if(AWG_K)
AWG_K.innerHTML=AWG_SA}
function CMIUnescape(AWG_W$)
{
return AWG_PA(AWG_W$)}
function CMIEscape(AWG_W$)
{
return AWG_R$(AWG_W$)}
function CMIShowWindow(AWG_M,AWG_Ea,AWG_YA)
{
if(AWG_M=="")AWG_M=AWG_$$["ID"];window.HOSTING_OBJECT.InvokeMethod("AWLM","ShowWindow",{ID: AWG_M,WIDTH: AWG_Ea,HEIGHT: AWG_YA})}
function CMIHideWindow(AWG_M)
{
if(typeof(AWG_M)=="undefined")AWG_M="";if(AWG_M=="")AWG_M=AWG_$$["ID"];window.HOSTING_OBJECT.InvokeMethod("AWLM","HideWindow",{ID: AWG_M})}
function ParseParams()
{
var AWG_F=document.location.search.substr(1).split("&");for(var i=0;i<AWG_F.length;++i){
var AWG_V=AWG_F[i].indexOf("=");AWG_$$[AWG_F[i].substr(0,AWG_V).toUpperCase()]=decodeURIComponent(AWG_F[i].substr(AWG_V+1))}
}
function GenHTML()
{
var tURI=AWG_$$["DATA"];AWG_DB=tURI;AWG_Ib="100%";AWG_KB="100%";return '<div id="content"></div>'}
ARGUMENTS=AWG_$$;AWG_$$=[];AWG_$$['ID']="";AWG_$$['DATA']="";if(window.encodeURIComponent)AWG_R$=encodeURIComponent;if(window.decodeURIComponent)AWG_PA=decodeURIComponent;AWG_Dc(window.location.search.substr(1));if(typeof(window.HOSTING_OBJECT)=="undefined"){
window.HOSTING_OBJECT=new CHostingObject()}
gFlashToJS=new CFlashToJS();gFlashToJSBinding=new CJSFlashBinding();AWG_XC();ParseParams();window.onload=function(){
var tWidth=parseInt(AWG_$$["WIDTH"]);var tHeight=parseInt(AWG_$$["HEIGHT"]);var AWG_SA=CreateFlashObject(AWG_$$["ID"],AWG_DB,"window",{left:0,top:0,width:tWidth,height:tHeight});var AWG_K=document.getElementById("content");AWG_K.innerHTML=AWG_SA}
EXTERNAL='awclient_flash_getVariable|AWG_BD|getErrorInfo|AWG_A|awclient_flash_setVariable|AWG_$D|debugAlert|AWG_$|WritePluginCode|AWG_Vc|AWFlash_RegisterCommandType|AWG_VB|getErrorText|AWG_IC'.split('|');for(i=0;i<14;i+=2)eval(EXTERNAL[i]+'='+EXTERNAL[i+1]);